KDE 4.9 PyKDE API Reference

- KDE's Python API

# ConnectionServer Class Reference

`from PyKDE4.kio import *`

Inherits: QObject
Namespace: KIO

## Detailed Description

This class provides a way to obtaining KIO.Connection connections.

## Signals

| newConnection ()

## Methods

| __init__ (self, QObject parent=0)
QString | address (self)
| close (self)
bool | isListening (self)
| listenForRemote (self)
KIO.Connection | nextPendingConnection (self)
| setNextPendingConnection (self, KIO.Connection conn)

## Signal Documentation

newConnection | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("newConnection()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

QString address | ( |  | self ) |

Returns the address for this connection if it is listening, an empty string if not.

close | ( |  | self ) |

bool isListening | ( |  | self ) |

listenForRemote | ( |  | self ) |

Sets this connection to listen mode. Use address() to obtain the address this is listening on.

KIO.Connection nextPendingConnection | ( |  | self ) |

setNextPendingConnection | ( | self, |
|  | KIO.Connection | conn
| ) |  |  |